[tool.poetry]
name = "job-execution-service"
version = "0.6.13"
description = "Service for running Jobs, fetching the Docker Image and running it, tracking Job status, etc."
authors = [
    "Tobias Küster <tobias.kuester@dai-labor.de>",
    "Eric Kolibacz <eric.kolibacz@dai-labor.de>",
]
license = "MIT"

[tool.poetry.dependencies]
python = "^3.8"
fastapi = "0.111.1"
pydantic = { extras = ["dotenv"], version = "^2.0.0" }
pymongo = "^4.0.0"
requests = "^2.25.0"
PyJWT = "^2.0.1"
cryptography = "^43.0.0"
rsa = "^4.6"
aiodocker = "^0.22.0"
aiohttp = "3.9.5"
uvicorn = "^0.30.0"
kubernetes-asyncio = "30.1.1"
pydantic-settings = "^2.0.1"

[tool.poetry.dev-dependencies]
pytest = "^8.0.0"
pytest-env = "^1.0.0"
pytest-dotenv = "^0.5.2"
black = "^24.0.0"
isort = "^5.6.4"
pylint = "^3.0.0"
pycodestyle = "^2.7.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.black]
line-length = 120

[tool.isort]
profile = "black"
line_length = 120
multi_line_output = 3
include_trailing_comma = true

[tool.pylint."MASTER"]
ignored-modules = ["pydantic"]

[tool.pylint."MESSAGES CONTROL"]
max-line-length = 120
disable = "R,C,W0613,W0703,E0213,W0511"
